[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#594176: marked as done (wdm doesn't look at /etc/security/limits.d/ (found solution))

Your message dated Mon, 24 Jan 2011 13:47:16 +0000
with message-id <E1PhMlI-000637-7j@franck.debian.org>
and subject line Bug#594176: fixed in wdm 1.28-6
has caused the Debian Bug report #594176,
regarding wdm doesn't look at /etc/security/limits.d/ (found solution)
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

594176: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=594176
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: wdm
Version: 1.28-4
Severity: important

Good day!
I've noticed that sessions started by wdm aren't affected by the configuration files in /etc/security/limits.d/, so i quickly installed xdm and checked how the files /etc/pam.d/wdm and /etc/pam.d/xdm differ.
After comparing them I've found that /etc/pam.d/xdm has an extra line:

session	required	pam_limits.so

After adding this line to my /etc/pam.d/wdm the problem was fixed.
There is also a line

@include common-password

which is in /etc/pam.d/xdm, but not in /etc/pam.d/wdm, but i don't know if it makes any difference.
Good luck and have a nice day!

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=uk_UA.UTF-8, LC_CTYPE=uk_UA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages wdm depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  libc6                         2.11.2-2   Embedded GNU C Library: Shared lib
ii  libfontconfig1                2.8.0-2.1  generic font configuration library
ii  libice6                       2:1.0.6-1  X11 Inter-Client Exchange library
ii  libpam-modules                1.1.1-3    Pluggable Authentication Modules f
ii  libpam-runtime                1.1.1-3    Runtime support for the PAM librar
ii  libpam0g                      1.1.1-3    Pluggable Authentication Modules l
ii  libselinux1                   2.0.96-1   SELinux runtime shared libraries
ii  libsm6                        2:1.1.1-1  X11 Session Management library
ii  libwraster3                   0.92.0-8.2 Shared libraries of Window Maker r
ii  libx11-6                      2:1.3.3-3  X11 client-side library
ii  libxau6                       1:1.0.6-1  X11 authorisation library
ii  libxdmcp6                     1:1.0.3-2  X11 Display Manager Control Protoc
ii  libxext6                      2:1.1.2-1  X11 miscellaneous extension librar
ii  libxft2                       2.1.14-2   FreeType-based font drawing librar
ii  libxinerama1                  2:1.1-3    X11 Xinerama extension library
ii  libxmu6                       2:1.0.5-1  X11 miscellaneous utility library
ii  psmisc                        22.11-1    utilities that use the proc file s
ii  x11-apps                      7.5+5      X applications
ii  x11-common                    1:7.5+6    X Window System (X.Org) infrastruc
ii  x11-utils                     7.5+4      X11 utilities
ii  x11-xserver-utils             7.5+2      X server utilities

wdm recommends no packages.

Versions of packages wdm suggests:
ii  xfonts-base                   1:1.0.1    standard fonts for X

-- Configuration Files:
/etc/X11/wdm/Xservers changed [not included]
/etc/X11/wdm/wdm-config [Errno 13] Permission denied: u'/etc/X11/wdm/wdm-config'
/etc/pam.d/wdm changed [not included]

-- debconf information excluded

--- End Message ---
--- Begin Message ---
Source: wdm
Source-Version: 1.28-6

We believe that the bug you reported is fixed in the latest version of
wdm, which is due to be installed in the Debian FTP archive:

  to main/w/wdm/wdm_1.28-6.diff.gz
  to main/w/wdm/wdm_1.28-6.dsc
  to main/w/wdm/wdm_1.28-6_i386.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594176@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Agustin Martin Domingo <agmartin@debian.org> (supplier of updated wdm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Mon, 24 Jan 2011 12:46:57 +0100
Source: wdm
Binary: wdm
Architecture: source i386
Version: 1.28-6
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Agustin Martin Domingo <agmartin@debian.org>
 wdm        - WINGs Display Manager - an xdm replacement with a WindowMaker loo
Closes: 556673 594176
 wdm (1.28-6) unstable; urgency=low
   * QA upload.
   [ Matthias Klose ]
   * Fix FTBFS with ld --as-needed (Closes: #556673).
   [ Yury Bulka ]
   * Fixed problem that wdm didn't read /etc/security/limits.d/*
     (Closes: #594176)
   [ Agustin Martin Domingo ]
   * Add Vcs-Git and Vcs-Browser entries pointing to to collab-maint.
 1943c4bc1df3f0c6eb2da3c027a45e43a8349891 1398 wdm_1.28-6.dsc
 e1a62f7e9a12589d36972f1208987c43d1cac129 67407 wdm_1.28-6.diff.gz
 d2de70155575d4d03129d01b42742631f4c53516 421570 wdm_1.28-6_i386.deb
 ec77c02593009527fda095a7317825acae84d7d40dde7975da33da8528ecf30a 1398 wdm_1.28-6.dsc
 4f3407bc6545b2a2a73dcf2caca654554d8d5a91f51b71124644abc4acbf47aa 67407 wdm_1.28-6.diff.gz
 b1daeb961f13519078c30fbaf6ad05758405580afd34e532dc85994d41c75d4f 421570 wdm_1.28-6_i386.deb
 5bf14fa257d7b585ee4869a658257353 1398 x11 optional wdm_1.28-6.dsc
 a0ed8ce3581724e495286d330ff78f44 67407 x11 optional wdm_1.28-6.diff.gz
 c8dbaeef554fa1f5bd767603b9033754 421570 x11 optional wdm_1.28-6_i386.deb

Version: GnuPG v1.4.10 (GNU/Linux)


--- End Message ---

Reply to: